dofile "lib/dream9.lua"

function jpg(s) 
  return const.path.gfx.."0-prolog/intro/"..s..".jpg"; 
end

intro_player = musplayer.player {
  sfx("firealarm"):inside("blackout")
}

main = engine.main {
   start        = chain_ {
                     episode_("0-intro")
                    ,musplayer_("intro_player")
                    ,walk_("start")
                  }
  ,finish       = gamefile_("0-prolog/escape.lua")
}

function walkset_(q, n, rm)
  return function()
    game[q] = n;
    walk(rm);
  end
end

start = pause {
   time         = 2000
  ,next         = "q1"
}

q1 = anitext.room {
   dsc          = "Внимание! Необходимо провести проверку пользователя.^Выберите один из цветов:"
  ,items        = {
                     { "Красный", walkset_("q1", 1, "q2") }
                    ,{ "Коричневый", walkset_("q1", 2, "q2") }
                    ,{ "Фиолетовый", walkset_("q1", 3, "q2") }
                  }
}

q2 = anitext.room {
   dsc          = "Какая из приведенных ниже геометрических фигур^является лишней?"
  ,items        = {
                     { "Квадрат", walkset_("q2", 1, "q3") }
                    ,{ "Треугольник", walkset_("q2", 2, "q3") }
                    ,{ "Круг", walkset_("q2", 3, "q3") }
                  }
}

q3 = anitext.room {
   dsc          = "Какие ассоциации вызывает у вас слово ДОЛГ? Выберите^только один вариант:"
  ,items        = {
                     { "Обязанность", walkset_("q3", 1, "q4") }
                    ,{ "Обуза", walkset_("q3", 2, "q4") }
                    ,{ "Ложь", walkset_("q3", 3, "q4") }
                  }
}

q4 = anitext.room {
   dsc          = "Вы находитесь в запертой комнате без света. Как вы^попали сюда?"
  ,items        = {
                     { "Я все еще сплю", walkset_("q4", 1, "blackout") }
                    ,{ "Меня привезли сюда какие-то люди", walkset_("q4", 2, "blackout") }
                    ,{ "Я ничего не вижу", walkset_("q4", 3, "blackout") }
                  }
}

blackout = pause {
   time          = 1200
  ,next         = "firealarm"
}

firealarm = animation {
   fps          = 6
  ,frames       = {
                     jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmon"
                    ,jpg "alarmon"
                    ,jpg "alarmon"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmon"
                    ,jpg "alarmon"
                    ,jpg "alarmon"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmon"
                    ,jpg "alarmon"
                    ,jpg "alarmon"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmon"
                    ,jpg "alarmon"
                    ,jpg "alarmon"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                    ,jpg "alarmoff"
                  }
  ,next         = "main"
}